GST Electronic Cash Ledger API
GET
https://apisandbox.whitebooks.in/ledgers/cashdtlThis API call is for getting cash ledger details for the specified period.
Ledger Analytics
Explore FeatureElectronic Cash, Credit & Liability Ledger Reports
Get consolidated electronic cash, credit, and liability ledger balances with drill-down transaction histories for all your GSTINs.
Parameters
query parameters
gstinstringrequiredGSTIN of the taxpayer
frdtstringrequiredFrom Date (DD-MM-YYYY,20-12-2016)
todtstringrequiredTo Date (DD-MM-YYYY,20-12-2016)
emailstringrequiredEmail
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/ledgers/cashdtl. Required parameters: gstin (query parameter), frdt (query parameter), todt (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Cash Ledger Details (GET
/ledgers/cashdtl), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API call is for getting cash ledger details for the specified period.
No example available.